
Redmine - Defect #24024

open user account info occured 500 error

2016-10-09 06:23 - Steven Wong

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

Started GET "/users/8" for 192.168.60.238 at 2016-10-09 12:24:05 +0800

Processing by UsersController#show as HTML

Parameters: {"id"=>"8"}

Current user: hui.wang (id=8)

Completed 500 Internal Server Error in 414ms (ActiveRecord: 86.0ms)

NoMethodError (undefined method `where' for #<Hash:0x007f9934e4bbf8>):

lib/plugins/acts_as_activity_provider/lib/acts_as_activity_provider.rb:64:in `find_events'

lib/redmine/activity/fetcher.rb:91:in `block (2 levels) in events'

lib/redmine/activity/fetcher.rb:90:in `each'

lib/redmine/activity/fetcher.rb:90:in `block in events'

lib/redmine/activity/fetcher.rb:89:in `each'

lib/redmine/activity/fetcher.rb:89:in `events'

app/controllers/users_controller.rb:75:in `block (2 levels) in show'

app/controllers/users_controller.rb:73:in `show'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2016-10-09 06:31 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Try without plugins.

#2 - 2017-01-19 04:59 - Steven Wong

toshio harita MARUYAMA

I tried without plugins ,it worked well.

how can I locate the error, could you give me some advice? Thanks

the errorlog

A NoMethodError occurred in users#show:

  undefined method `where' for #<Hash:0x007f7654db3ef0>

  lib/plugins/acts_as_activity_provider/lib/acts_as_activity_provider.rb:64:in `find_events'

-------------------------------

Request:

-------------------------------

* URL : http://192.168.1.41/users/39

  * HTTP Method: GET

  * IP address : 192.168.60.238

  * Parameters : {"controller"=>"users", "action"=>"show", "id"=>"39"}

  * Timestamp  : 2017-01-19 04:01:26 UTC

  * Server : jira

  * Rails root : /opt/redmine-3.3

  * Process: 12479

-------------------------------

Session:
-------------------------------

  * session id: "41c32cb6b441bcfcd12c94bfde622b4e" 

  * data: {"session_id"=>"41c32cb6b441bcfcd12c94bfde622b4e",

   "user_id"=>8,

   "tk"=>"cb9e906fd26896c6c704c9c816bd894a32ba0b0f",

   "sudo_timestamp"=>1484795529,

   "_csrf_token"=>"vFh4lXm8PJz+naTtyzyKOX/+IMtuHKEDj9y1RB94E5w=",

   "recent_projects"=>[1, 12],

   "users_index_sort"=>"login",

   "query"=>

    {:project_id=>1,

     :filters=>{"status_id"=>{:operator=>"o", :values=>[""]}},

     :group_by=>"parent",

     :column_names=>nil,

     :totalable_names=>[:estimated_hours]},

   "issues_index_sort"=>"id:desc",

   "per_page"=>100}

-------------------------------

Environment:

-------------------------------

  * GATEWAY_INTERFACE                              : CGI/1.2

  * HTTP_ACCEPT                                    : text/html,application/xhtml+xml,application/xml;q=0.9,ima

ge/webp,*/*;q=0.8

  * HTTP_ACCEPT_ENCODING                           : gzip, deflate, sdch

  * HTTP_ACCEPT_LANGUAGE                           : zh-CN,zh;q=0.8,en;q=0.6

  * HTTP_CONNECTION                                : keep-alive

  * HTTP_COOKIE                                    : _redmine_session=OE9TbHBNMWtzUjEzVFUySmcweEJNNHhiNXRNWlRv

WUQwTFVNZGErWVprdkp3ZHNvc1c5bW5aeWhXVXlkT3VydlIxdll3S0crZWppdmFMZEp1aktoVC9GV1EzTXdKZjgyVHkwREIzcTB5Ykw5V25QZD

NwOEpESUxnek9YQURSM3g0M3BVWHRXdW5aSC9QZVgwaUNjaktoV0ZoRFNIeWQ4cDhrNUJNbFZ1QmREY0JhNTVHdFI5TElaQmdoL2d5SWVoWmFn

RGk1czJjQXFIRDJhdEVlYlVrNEJIN3BuY2RNZjhwNFM0WVFkdHZyQjdPK0lOVUhWbExGRGxoL1dGRGRUZ2lwSmI4aG9tTEx0Sjl0aTdGWTk4az

Q2bjJ2OGg4T0EzaHV4c2t0RU5EVFV1UEdVZEF0MFloTmEzcGF5di9udVFabllQSS9FVlhzdHNsMm9vcHJGOEdyWE1PZkdjQzRaVHRHNDJTaitW

REUyVmE3Q09WQ2ZHTXJGdnZLT1VwRHpGWmVjTEdNRzh4bHUyRndWOExLTDQyWTZTRDd5TnhiWGZMZWF0YzZxejFySm04a2JlTkQzWGhmMzYvcV

lsYlY3K3RnWkY5WE9iZVk5M1pIUTNtcXA2QlBaU01USGw3WkpOYmtzVlNSMHdoLzBLem5scWFCRkNnanhuMkdXSHVkNDRUSXlET3J5UEVBR3RY

N3FXb1pVVm1YNlJyQUR6MWpMc1lCSGNlUlRCRTBxRlJMSUZaekxHTWRsOC9qTTk5RDdUVkViY1BkTjBhSXgrS2JZTFl4MnQ0OFlxeUprRVhhYT

hTZkNpMTdPcyszbjNkalhnUW9VQWNEYVAvZ0svT3FxK2Uxd3RzeDgxbFZOQ1BIbFZpWWsyUUg0a050aVN5ZklYZkZtZUYyQWhVSWJFS1dlNEZK

ZGJiWTlmb1d6WDBtMjgtLVlSdjlXSUFMSUIrd2diY1pITEp0U1E9PQ%3D%3D--2dc07857336fb4a07656745f19d7281cfec34eee

  * HTTP_HOST                                      : 192.168.1.41

* HTTP_REFERER : http://192.168.1.41/projects/demo/issues

  * HTTP_UPGRADE_INSECURE_REQUESTS                 : 1

  * HTTP_USER_AGENT                                : Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537

.36 (KHTML, like Gecko) Chrome/55.0.2883.87 Safari/537.36

  * HTTP_VERSION                                   : HTTP/1.1

  * ORIGINAL_FULLPATH                              : /users/39

  * ORIGINAL_SCRIPT_NAME                           :

  * PATH_INFO                                      : /users/39

  * QUERY_STRING                                   :

  * REMOTE_ADDR                                    : 192.168.60.238

  * REQUEST_METHOD                                 : GET

  * REQUEST_PATH                                   : /users/39

  * REQUEST_URI                                    : /users/39

  * ROUTES_45961560_SCRIPT_NAME                    :

  * SCRIPT_NAME                                    :

  * SERVER_NAME                                    : 192.168.1.41

  * SERVER_PORT                                    : 80

  * SERVER_PROTOCOL                                : HTTP/1.1

  * SERVER_SOFTWARE                                : thin 1.7.0 codename Dunder Mifflin

  * action_controller.instance                     : #<UsersController:0x007f765598f8a0>

  * action_dispatch.backtrace_cleaner              : #<Rails::BacktraceCleaner:0x000000043d7c38>

  * action_dispatch.cookies                        : #<ActionDispatch::Cookies::CookieJar:0x007f765592a1f8>

  * action_dispatch.cookies_digest                 :

  * action_dispatch.cookies_serializer             :

  * action_dispatch.encrypted_cookie_salt          : encrypted cookie

  * action_dispatch.encrypted_signed_cookie_salt   : signed encrypted cookie

  * action_dispatch.http_auth_salt                 : http authentication

  * action_dispatch.key_generator                  : #<ActiveSupport::CachingKeyGenerator:0x0000000ae11568>

  * action_dispatch.logger                         : #<ActiveSupport::Logger:0x00000003a971f0>

  * action_dispatch.parameter_filter               : [:password]

  * action_dispatch.redirect_filter                : []

  * action_dispatch.remote_ip                      : 192.168.60.238

  * action_dispatch.request.content_type           :

  * action_dispatch.request.formats                : [#<Mime::Type:0x000000026d9640 @synonyms=["application/xh

tml+xml"], @symbol=:html, @string="text/html", @hash=3960182376771979841>]
  * action_dispatch.request.parameters             : {"controller"=>"users", "action"=>"show", "id"=>"39"}

  * action_dispatch.request.path_parameters        : {:controller=>"users", :action=>"show", :id=>"39"}

  * action_dispatch.request.query_parameters       : {}

  * action_dispatch.request.request_parameters     : {}

  * action_dispatch.request.unsigned_session_cookie: {"session_id"=>"41c32cb6b441bcfcd12c94bfde622b4e", "user_

id"=>8, "tk"=>"cb9e906fd26896c6c704c9c816bd894a32ba0b0f", "sudo_timestamp"=>1484795529, "_csrf_token"=>"vFh4lX

m8PJz+naTtyzyKOX/+IMtuHKEDj9y1RB94E5w=", "recent_projects"=>[1, 12], "users_index_sort"=>"login", "query"=>{:p

roject_id=>1, :filters=>{"status_id"=>{:operator=>"o", :values=>[""]}}, :group_by=>"parent", :column_names=>ni

l, :totalable_names=>[:estimated_hours]}, "issues_index_sort"=>"id:desc", "per_page"=>100}

  * action_dispatch.request_id                     : 54b38cae-9617-42cb-af79-8d8574facb92

  * action_dispatch.routes                         : #<ActionDispatch::Routing::RouteSet:0x000000057aa2b0>

  * action_dispatch.secret_key_base                : 59dda17a42803617f96151518b9aeecb94e132c6f140123f1982e1c8a

e15d0103ffa854c4d8b0019

  * action_dispatch.secret_token                   :

  * action_dispatch.show_detailed_exceptions       : false

  * action_dispatch.show_exceptions                : true

  * action_dispatch.signed_cookie_salt             : signed cookie

  * async.callback                                 : #<Method: Thin::Connection#post_process>

  * async.close                                    : #<EventMachine::DefaultDeferrable:0x007f765599c820>

  * rack.errors                                    : #<IO:0x00000000ba1580>

  * rack.input                                     : #<StringIO:0x007f765599d5e0>

  * rack.multiprocess                              : false

  * rack.multithread                               : true

  * rack.request.cookie_hash                       : {"_redmine_session"=>"OE9TbHBNMWtzUjEzVFUySmcweEJNNHhiNXR

NWlRvWUQwTFVNZGErWVprdkp3ZHNvc1c5bW5aeWhXVXlkT3VydlIxdll3S0crZWppdmFMZEp1aktoVC9GV1EzTXdKZjgyVHkwREIzcTB5Ykw5V

25QZDNwOEpESUxnek9YQURSM3g0M3BVWHRXdW5aSC9QZVgwaUNjaktoV0ZoRFNIeWQ4cDhrNUJNbFZ1QmREY0JhNTVHdFI5TElaQmdoL2d5SWV

oWmFnRGk1czJjQXFIRDJhdEVlYlVrNEJIN3BuY2RNZjhwNFM0WVFkdHZyQjdPK0lOVUhWbExGRGxoL1dGRGRUZ2lwSmI4aG9tTEx0Sjl0aTdGW

Tk4azQ2bjJ2OGg4T0EzaHV4c2t0RU5EVFV1UEdVZEF0MFloTmEzcGF5di9udVFabllQSS9FVlhzdHNsMm9vcHJGOEdyWE1PZkdjQzRaVHRHNDJ

TaitWREUyVmE3Q09WQ2ZHTXJGdnZLT1VwRHpGWmVjTEdNRzh4bHUyRndWOExLTDQyWTZTRDd5TnhiWGZMZWF0YzZxejFySm04a2JlTkQzWGhmM

zYvcVlsYlY3K3RnWkY5WE9iZVk5M1pIUTNtcXA2QlBaU01USGw3WkpOYmtzVlNSMHdoLzBLem5scWFCRkNnanhuMkdXSHVkNDRUSXlET3J5UEV

BR3RYN3FXb1pVVm1YNlJyQUR6MWpMc1lCSGNlUlRCRTBxRlJMSUZaekxHTWRsOC9qTTk5RDdUVkViY1BkTjBhSXgrS2JZTFl4MnQ0OFlxeUprR

VhhYThTZkNpMTdPcyszbjNkalhnUW9VQWNEYVAvZ0svT3FxK2Uxd3RzeDgxbFZOQ1BIbFZpWWsyUUg0a050aVN5ZklYZkZtZUYyQWhVSWJFS1d

lNEZKZGJiWTlmb1d6WDBtMjgtLVlSdjlXSUFMSUIrd2diY1pITEp0U1E9PQ==--2dc07857336fb4a07656745f19d7281cfec34eee"}

  * rack.request.cookie_string                     : _redmine_session=OE9TbHBNMWtzUjEzVFUySmcweEJNNHhiNXRNWlRv

WUQwTFVNZGErWVprdkp3ZHNvc1c5bW5aeWhXVXlkT3VydlIxdll3S0crZWppdmFMZEp1aktoVC9GV1EzTXdKZjgyVHkwREIzcTB5Ykw5V25QZD

NwOEpESUxnek9YQURSM3g0M3BVWHRXdW5aSC9QZVgwaUNjaktoV0ZoRFNIeWQ4cDhrNUJNbFZ1QmREY0JhNTVHdFI5TElaQmdoL2d5SWVoWmFn

RGk1czJjQXFIRDJhdEVlYlVrNEJIN3BuY2RNZjhwNFM0WVFkdHZyQjdPK0lOVUhWbExGRGxoL1dGRGRUZ2lwSmI4aG9tTEx0Sjl0aTdGWTk4az

Q2bjJ2OGg4T0EzaHV4c2t0RU5EVFV1UEdVZEF0MFloTmEzcGF5di9udVFabllQSS9FVlhzdHNsMm9vcHJGOEdyWE1PZkdjQzRaVHRHNDJTaitW

REUyVmE3Q09WQ2ZHTXJGdnZLT1VwRHpGWmVjTEdNRzh4bHUyRndWOExLTDQyWTZTRDd5TnhiWGZMZWF0YzZxejFySm04a2JlTkQzWGhmMzYvcV

lsYlY3K3RnWkY5WE9iZVk5M1pIUTNtcXA2QlBaU01USGw3WkpOYmtzVlNSMHdoLzBLem5scWFCRkNnanhuMkdXSHVkNDRUSXlET3J5UEVBR3RY

N3FXb1pVVm1YNlJyQUR6MWpMc1lCSGNlUlRCRTBxRlJMSUZaekxHTWRsOC9qTTk5RDdUVkViY1BkTjBhSXgrS2JZTFl4MnQ0OFlxeUprRVhhYT

hTZkNpMTdPcyszbjNkalhnUW9VQWNEYVAvZ0svT3FxK2Uxd3RzeDgxbFZOQ1BIbFZpWWsyUUg0a050aVN5ZklYZkZtZUYyQWhVSWJFS1dlNEZK

ZGJiWTlmb1d6WDBtMjgtLVlSdjlXSUFMSUIrd2diY1pITEp0U1E9PQ%3D%3D--2dc07857336fb4a07656745f19d7281cfec34eee

  * rack.request.query_hash                        : {}

  * rack.request.query_string                      :

  * rack.run_once                                  : false

  * rack.session                                   : #<ActionDispatch::Request::Session:0x007f765599a908>

  * rack.session.options                           : #<ActionDispatch::Request::Session::Options:0x007f765599a

8b8>

  * rack.url_scheme                                : http

  * rack.version                                   : [1, 0]

-------------------------------

Backtrace:

-------------------------------

  lib/plugins/acts_as_activity_provider/lib/acts_as_activity_provider.rb:64:in `find_events'

  lib/redmine/activity/fetcher.rb:91:in `block (2 levels) in events'

  lib/redmine/activity/fetcher.rb:90:in `each'

  lib/redmine/activity/fetcher.rb:90:in `block in events'

  lib/redmine/activity/fetcher.rb:89:in `each'

  lib/redmine/activity/fetcher.rb:89:in `events'

  app/controllers/users_controller.rb:75:in `block (2 levels) in show'

  app/controllers/users_controller.rb:73:in `show'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

#3 - 2017-01-19 09:26 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

I don't know because you don't give use information described in submissions.
#4 - 2017-02-21 11:04 - Steven Wong

- Status changed from Closed to Reopened

toshio harita MARUYAMA

sorry that I have not submit more information. and there's my environment information

Environment:

  Redmine version                3.3.2.stable.16334

  Ruby version                   2.2.4-p230 (2015-12-16) [x86_64-linux]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Mercurial                      1.4

  Git                            1.7.1

  Filesystem                     

Redmine plugins:

  _query                         0.0.1

  accept                         0.0.2

  advanced_roadmap_v2            2.4.3

  clipboard_image_paste          1.10

  computed_custom_field          1.0.3

  contracts                      2.3

  easy_wbs                       2016-0.0

  event_notifications            3.2.1

  exception_notification         0.0.1

  export_docx                    1.2.2

  ez_assignee_founder            0.0.1

  hackjournals                   0.0.2

  issue_table_macro              0.0.1

  issuestats                     0.0.2

  msproject_import               0.5.0

  narrowdown                     0.0.1

  progressive_projects_list      3.0.1

  quick_edit                     0.0.9

  quick_view                     0.3.0

  redmine__select2               1.0.5

  redmine_activity_report        1.2.9

  redmine_assign_grouping        0.0.1

  redmine_assignee_selector      0.0.1

  redmine_base_deface            0.0.1

  redmine_base_select2           4.0.0

  redmine_blocks_layout          0.0.2

  redmine_bootstrap_kit          0.2.5

  redmine_changelog              0.0.1

  redmine_ckeditor               1.1.4

  redmine_close_button           0.0.8

  redmine_code_review            0.8.0

  redmine_custom_reports         0.1.5

  redmine_custom_values_projects 0.0.1

  redmine_custom_workflows       0.1.6

  redmine_cut_tag                2.0.8

  redmine_daily_status           0.0.2

  redmine_didyoumean             1.2.0

  redmine_email_images           0.1.1

  redmine_filter_assignable      0.0.1

  redmine_filters                0.1.0

  redmine_gitlab_hook            0.1.3

  redmine_graphs                 0.1.0

  redmine_helpdesk               0.0.15

  redmine_highlightjs            1.0.3

  redmine_html_diff              1.0.1

  redmine_importer               1.2.2

  redmine_information            1.0.2

  redmine_introductions          0.1

  redmine_issue_badge            0.0.4.1

  redmine_issue_checklist        2.0.8

  redmine_issue_evm              3.5.8

  redmine_issue_favicon          0.0.1

  redmine_issue_history_filter   0.0.1

  redmine_issue_sla              1.0.0

  redmine_issue_status_colors    0.0.1
  redmine_issue_templates        0.1.4

  redmine_issue_wiki_journal     0.10.0

  redmine_issues_macros          0.0.1

  redmine_issues_summary_graph   0.0.9

  redmine_issues_tree_view       0.2

  redmine_jenkins                1.0-devel

  redmine_knowledgebase          3.2.1

  redmine_landing_page           1.0.0

  redmine_lightbox2              0.3.1

  redmine_local_avatars          0.2.0

  redmine_login_attempts_limit   0.1.0

  redmine_login_audit            0.3.0

  redmine_logs                   0.1.0

  redmine_mail_from              1.2.0

  redmine_mail_integration       0.0.1

  redmine_mentions               0.0.1

  redmine_menu_links             1.0.2

  redmine_message_issues         0.1.0

  redmine_monitoring_controlling 0.1.1

  redmine_my_page                0.1.10

  redmine_my_page_queries        2.1.7

  redmine_non_member_watcher     1.0.0

  redmine_performance            0.0.1

  redmine_pivot_table            0.0.5

  redmine_presentation           0.2

  redmine_recent_wiki_pages      0.0.1

  redmine_revision_diff          0.1.1

  redmine_saturation             0.0.1

  redmine_select2_inputs         0.0.1

  redmine_show_issue_assignee_avatar 0.0.1

  redmine_show_parent_at_subtask 1.0.0

  redmine_smile_togglesidebar    1.0.4

  redmine_spent_time             3.1.2

  redmine_stats                  0.0.3

  redmine_status_history         1.0.0

  redmine_tags                   3.1.1

  redmine_testlinklink           1.0.0

  redmine_theme_changer          0.2.0

  redmine_timebank               0.1.0

  redmine_timetables             0.1

  redmine_touch                  0.0.3

  redmine_tweaks                 1.0.0

  redmine_user_import            0.1.0

  redmine_version_email          3.0.0

  redmine_vividtone_my_page_blocks 20150614

  redmine_watcher_filter         3.0.0-alpha

  redmine_watcher_groups         0.0.1

  redmine_wiki_backlinks         0.0.2

  redmine_wiki_extensions        0.7.0

  redmine_wiki_fix_toc           0.1.0

  redmine_wiki_issue_details     0.1.0

  redmine_wiki_lists             0.0.7

  redmine_wiki_notes             0.0.2

  redmine_wiki_sql               0.2

  redmine_wiki_templates         0.2.0

  redmine_work_time              0.3.3

  redmine_workflow_enhancements  0.5.0

  redmine_workflow_hidden_fields 0.3.0

  redmine_xls_export             0.2.1.t9

  redmine_xlsx_format_issue_exporter 0.1.3

  reminderemails                 0.0.1

  selectbox_autocompleter        1.1.0

  simple_author_change           0.1.2

  spectator                      0.0.2

  timesheet                      0.7.0

  user_wiki_macro                0.0.2

  view_customize                 1.1.4

  weekly                         0.0.1

  wiki_change_notifier           1.0.0

  wiki_issue_fields              0.5.1

#5 - 2017-02-21 11:05 - Steven Wong

the new error log I have received.
Started GET "/users/8" for 10.1.200.41 at 2017-02-21 18:04:56 +0800

Processing by UsersController#show as HTML

  Parameters: {"id"=>"8"}

  Current user: hui.wang (id=8)

Completed 500 Internal Server Error in 291ms (ActiveRecord: 215.2ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exception_notifier/v

iews/exception_notifier/_request.text.erb (0.5ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exception_notifier/v

iews/exception_notifier/_title.text.erb (0.4ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exception_notifier/v

iews/exception_notifier/_session.text.erb (1.7ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exception_notifier/v

iews/exception_notifier/_title.text.erb (0.3ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exception_notifier/v

iews/exception_notifier/_environment.text.erb (2.7ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exception_notifier/v

iews/exception_notifier/_title.text.erb (0.3ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exception_notifier/v

iews/exception_notifier/_backtrace.text.erb (0.3ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exception_notifier/v

iews/exception_notifier/_title.text.erb (0.3ms)

  Rendered /usr/local/rvm/gems/ruby-2.2.4@newgemset/gems/exception_notification-4.2.1/lib/exception_notifier/v

iews/exception_notifier/exception_notification.text.erb (15.9ms)

NoMethodError (undefined method `where' for #<Hash:0x007f46600463e0>):

  lib/plugins/acts_as_activity_provider/lib/acts_as_activity_provider.rb:64:in `find_events'

  lib/redmine/activity/fetcher.rb:91:in `block (2 levels) in events'

  lib/redmine/activity/fetcher.rb:90:in `each'

  lib/redmine/activity/fetcher.rb:90:in `block in events'

  lib/redmine/activity/fetcher.rb:89:in `each'

  lib/redmine/activity/fetcher.rb:89:in `events'

  app/controllers/users_controller.rb:75:in `block (2 levels) in show'

  app/controllers/users_controller.rb:73:in `show'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

#6 - 2017-02-21 11:18 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Redmine core does not have any problem.

source:tags/3.3.2/test/functional/users_controller_test.rb#L74
